Rysunek Roboczy: Okrąg

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Draft Circle and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎svenska • ‎čeština • ‎русский • ‎中文(中国大陆)‎

Draft Circle.svg Draft: Okrąg

Lokalizacja w menu
Drafting → Okrąg
Środowisko pracy
Rysunek roboczy, Architektura
Domyślny skrót
C I
Wprowadzono w wersji
0.7
Zobacz także
Łuk, Łuk przez 3 punkty

Opis

Polecenie Draft Circle.svg Okrąg tworzy okrąg w bieżącej płaszczyźnie roboczej na bazie punktu środkowego i promienia. Promień może być zdefiniowany przez wybranie punktu.

Rysunek okręgu można przekształcić w łuk eliptyczny, ustawiając jego właściwości DANEKąt Pierwszy i DANEKąt Ostatni na odmienne wartości.

Draft Circle example.jpg

Okrąg wyznaczony przez dwa punkty, środek i promień

Użycie

Zobacz również Tacka narzędziowa, Przyciąganie oraz Wiązania.

  1. Istnieje kilka sposobów na wywołanie polecenia:
    • Naciśnij przycisk Draft Circle.svg Okrąg.
    • Wybierz z menu opcję Kreślenie → Draft Circle.svg Okrąg.
    • Użyj skrótu klawiaturowego: C, a następnie I.
  2. Otworzy się panel zadań Okrąg. Zobacz Opcje, aby uzyskać więcej informacji.
  3. Wybierz pierwszy punkt, środek okręgu, w oknie widoku 3D, lub wpisz współrzędne i naciśnij przycisk Draft AddPoint.svg Wprowadź punkt.
  4. Wybierz drugi punkt w oknie widoku 3D, lub wpisz wartość Promienia.

Opcje

Skróty klawiaturowe jedno znakowe dostępne w panelu zadań można zmienić. Zobacz stronę Preferencji. Skróty wymienione tutaj są skrótami domyślnymi.

  • Aby ręcznie wprowadzić współrzędne środka, wprowadź składowe X, Y i Z, a następnie naciśnij klawisz Enter po każdej z nich. Możesz też nacisnąć przycisk Draft AddPoint.svg Wprowadź punkt, gdy masz już żądane wartości. Wskazane jest, aby przed wprowadzeniem współrzędnych wysunąć kursor poza obszar okna widoku 3D.
  • Pole wyboru Względnie nie ma zastosowania dla tego polecenia.
  • Naciśnij G lub kliknij pole wyboru Globalnie, aby przełączyć tryb globalny. Jeśli tryb globalny jest włączony, współrzędne są odniesione do globalnego układu współrzędnych, w przeciwnym razie są one odniesione do układu współrzędnych płaszczyzny robocza. dostępne w wersji 0.20
  • Naciśnij klawisz L lub kliknij pole wyboru Wypełniony, aby przełączyć tryb wypełnienia. Jeśli tryb wypełnienia jest włączony, utworzony okrąg będzie miał ustawioną właściwość DANEMake Face na true i będzie miał wypełnioną ścianę.
  • Naciśnij klawisz T lub kliknij pole wyboru Kontynuuj, aby przełączyć tryb kontynuacji. Jeśli tryb kontynuacji jest włączony, polecenie zostanie uruchomione ponownie po zakończeniu, umożliwiając dalsze tworzenie okręgów.
  • Naciśnij klawisz S, aby włączyć lub wyłączyć przyciąganie.
  • Naciśnij klawisz Esc lub przycisk Zamknij, aby przerwać działanie polecenia.

Uwagi

  • Szkic okręgu można edytować za pomocą polecenia Edycja.

Ustawienia

Zobacz także strony: Edytor ustawień oraz Rysunek Roboczy: Preferencje.

  • Aby zmienić liczbę miejsc po przecinku używanych do wprowadzania współrzędnych i promieni: Edycja → Preferencje → Ogólne → Jednostki → Ustawienia jednostek → Liczba cyfr po przecinku.
  • Aby zmienić wartość początkową trybu wypełnienia: Edycja → Preferencje → Rysunek Roboczy → Ustawienia ogólne → Opcje narzędzi do kreślenia → Wypełniaj obiekty powierzchniami, gdy tylko jest to możliwe. Zmiana trybu wypełnienia w panelu zadań spowoduje nadpisanie tych preferencji dla bieżącej sesji programu FreeCAD.
  • Jeśli opcja Edycja → Preferencje → Rysunek Roboczy → Ustawienia ogólne → Opcje narzędzi do kreślenia → Używaj elementów pierwotnych, gdy jest to możliwe jest zaznaczona, polecenie utworzy Okrąg środowiska Część, zamiast środowiska Rysunek Roboczy.

Właściwości

Zobacz również stronę: Edytor właściwości.

Obiekt okrąg wywodzi się z obiektu Część: Part2DObject i dziedziczy wszystkie jego właściwości. Posiada on również następujące dodatkowe właściwości:

Dane

Rysunek Roboczy

  • DANEPowierzchnia: (tylko do odczytu) określa pole powierzchni koła. Wartość będzie równa 0.0, jeśli właściwość DANEUtwórz ścianę ma wartość false lub powierzchnia nie może zostać utworzona.
  • DANEKąt pierwszy: określa kąt początkowy okręgu, zwykle .
  • DANEKąt ostatni: określa kąt końcowy okręgu, zwykle .
  • DANEUtwórz ścianę: określa, czy okrąg tworzy ścianę, czy nie. Jeśli ma wartość true, tworzona jest ściana, w przeciwnym razie tylko obwód jest uważany za część obiektu. Właściwość ta działa tylko wtedy, gdy DANEKąt pierwszy i DANEKąt ostatni mają tę samą wartość. Zauważ, że i 360° nie są uważane za takie same.
  • DANEPromień: określa długość promienia okręgu.

Widok

Rysunek Roboczy

  • WIDOKWzór: określa wzór, którym ma być wypełniona powierzchnia koła. Ta właściwość działa tylko wtedy, gdy DANEUtwórz ścianę ma wartość true i gdy WIDOKTryb wyświetlania ma wartość Linie płaskie.
  • WIDOKRozmiar wzoru: określa rozmiar wzoru.

Tworzenie skryptów

Zobacz również stronę: Dokumentacja API generowana automatycznie oraz Podstawy tworzenia skryptów FreeCAD.

Aby utworzyć okrąg użyj metody make_circle modułu Rysunek Roboczy (dostępne w wersji 0.19). Ta metoda zastępuje przestarzałą metodę makeCircle.

circle = make_circle(radius, placement=None, face=None, startangle=None, endangle=None, support=None)
circle = make_circle(Part.Edge, placement=None, face=None, startangle=None, endangle=None, support=None)
  • Tworzy obiekt Okrąg o podanej wartości Promienia w milimetrach.
    • Promień może być również obiektem Część.krawędź, którego atrybut Krzywa musi być obiektem Część.okrąg.
  • Jeśli Umiejscowienie ma wartość Brak, okrąg jest tworzony w punkcie początkowym.
  • Jeśli Ściana ma wartość Prawda, okrąg zostanie utworzony jako powierzchnia, czyli będzie wyglądał na wypełniony.
  • Jeśli Kąt pierwszy i Kąt ostatni są podane w stopniach i mają różne wartości, zostaną one użyte, a obiekt pojawi się jako Łuk.

Przykład:

import FreeCAD as App
import Draft

doc = App.newDocument()

circle1 = Draft.make_circle(200)

zaxis = App.Vector(0, 0, 1)
p2 = App.Vector(1000, 1000, 0)
place2 = App.Placement(p2, App.Rotation(zaxis, 0))
circle2 = Draft.make_circle(500, placement=place2)

p3 = App.Vector(-1000, -1000, 0)
place3 = App.Placement(p3, App.Rotation(zaxis, 0))
circle3 = Draft.make_circle(750, placement=place3)

doc.recompute()